
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android开发之图形图像与动画(二)Animation实现图像的渐变/缩放/位移/旋转 / iVAN</title>

    <meta name="description" content="Android开发之图形图像与动画(二)Animation实现图像的渐变/缩放/位移/旋转 Android 平台提供了两类动画. 一类是Tween动画,就是对场景里的对象不断的进行图像变化来产生动画效果(旋转.平移.放缩和渐变). 下面就讲一下Tweene Animations. 主要类: Animation 动画 AlphaAnimation 渐变透明度 RotateAnimation 画面旋转 ScaleAnimation 渐变尺寸缩放 TranslateAnimation 位置移动 AnimationSet 动画集 一.AlphaAnimation 其中AlphaAnimatio">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android开发之图形图像与动画(二)Animation实现图像的渐变/缩放/位移/旋转</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Android 平台提供了两类动画。 一类是Tween动画，就是对场景里的对象不断的进行图像变化来产生动画效果（旋转、平移、放缩和渐变）。<br />
<br />下面就讲一下Tweene Animations。<br />
<br />主要类：<br />
<br />Animation 动画<br />
<br />AlphaAnimation 渐变透明度<br />
<br />RotateAnimation 画面旋转<br />
<br />ScaleAnimation 渐变尺寸缩放<br />
<br />TranslateAnimation 位置移动<br />
<br />AnimationSet 动画集</p>
<p>一.AlphaAnimation<br />
<br />其中AlphaAnimation类第一个参数fromAlpha表示动画起始时的透明度， 第二个参数toAlpha表示动画结束时的透明度。<br />
<br />setDuration用来设置动画持续时间。</p>
<p>二.RotateAnimation<br />
<br />其中RotateAnimation类第一个参数fromDegrees表示动画起始时的角度， 第二个参数toDegrees表示动画结束时的角度。</p>
<p>另外还可以设置伸缩模式pivotXType、pivotYType， 伸缩动画相对于x,y 坐标的开始位置pivotXValue、pivotYValue等。</p>
<p>三.ScaleAnimation<br />
<br />ScaleAnimation类中<br />
<br />第一个参数fromX ,第二个参数toX:分别是动画起始、结束时X坐标上的伸缩尺寸。<br />
<br />第三个参数fromY ,第四个参数toY:分别是动画起始、结束时Y坐标上的伸缩尺寸。<br />
<br />另外还可以设置伸缩模式pivotXType、pivotYType， 伸缩动画相对于x,y 坐标的开始位置pivotXValue、pivotYValue等。</p>
<p>四.TranslateAnimation<br />
<br />第一个参数fromXDelta ,第二个参数toXDelta:分别是动画起始、结束时X坐标。<br />
<br />第三个参数fromYDelta ,第四个参数toYDelta:分别是动画起始、结束时Y坐标。<br />
<br />下面我实现的这个例子是使得图片有上述四个动画效果，且其中第五实现的是两个效果的重叠，具体的实现截图如下：<br />
<br />&nbsp;<br />
<br />点击各个按钮会做出相应的反应。<br />
<br />本实例用到的布局文件如下：<br />
<br />复制代码 代码如下:<br />
<br />&lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt;<br />
<br />&lt;AbsoluteLayout<br />
<br />android:layout_width=&quot;fill_parent&quot;<br />
<br />android:layout_height=&quot;fill_parent&quot;<br />
<br />xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;&gt;<br />
<br />&lt;Button<br />
<br />android:id=&quot;@+id/button_scale&quot;<br />
<br />android:layout_width=&quot;wrap_content&quot;<br />
<br />android:layout_height=&quot;wrap_content&quot;<br />
<br />android:text=&quot;scale&quot;<br />
<br />android:layout_x=&quot;5dp&quot;<br />
<br />android:layout_y=&quot;383dp&quot; /&gt;<br />
<br />&lt;Button<br />
<br />android:id=&quot;@+id/button_rotate&quot;<br />
<br />android:layout_width=&quot;wrap_content&quot;<br />
<br />android:layout_height=&quot;wrap_content&quot;<br />
<br />android:text=&quot;rotate&quot;<br />
<br />android:layout_x=&quot;158dp&quot;<br />
<br />android:layout_y=&quot;383dp&quot; /&gt;<br />
<br />&lt;Button<br />
<br />android:id=&quot;@+id/button_alpha&quot;<br />
<br />android:layout_width=&quot;wrap_content&quot;<br />
<br />android:layout_height=&quot;wrap_content&quot;<br />
<br />android:text=&quot;alpha&quot;<br />
<br />android:layout_x=&quot;5dp&quot;<br />
<br />android:layout_y=&quot;331dp&quot; /&gt;<br />
<br />&lt;Button<br />
<br />android:id=&quot;@+id/button_translate&quot;<br />
<br />android:layout_width=&quot;wrap_content&quot;<br />
<br />android:layout_height=&quot;wrap_content&quot;<br />
<br />android:text=&quot;translate&quot;<br />
<br />android:layout_x=&quot;160dp&quot;<br />
<br />android:layout_y=&quot;329dp&quot; /&gt;<br />
<br />&lt;Button<br />
<br />android:id=&quot;@+id/button_alpha_translate&quot;<br />
<br />android:layout_width=&quot;wrap_content&quot;<br />
<br />android:layout_height=&quot;wrap_content&quot;<br />
<br />android:text=&quot;alpha_translate&quot;<br />
<br />android:layout_x=&quot;84dp&quot;<br />
<br />android:layout_y=&quot;265dp&quot; /&gt;<br />
<br />&lt;ImageView<br />
<br />android:id=&quot;@+id/imageview&quot;<br />
<br />android:layout_width=&quot;wrap_content&quot;<br />
<br />android:layout_height=&quot;wrap_content&quot;<br />
<br />android:layout_x=&quot;105dp&quot;<br />
<br />android:layout_y=&quot;133dp&quot;<br />
<br />android:src=&quot;@drawable/ic_launcher&quot;<br />
<br />/&gt;<br />
<br />&lt;/AbsoluteLayout&gt;</p>
<p>实现本实例的源代码如下：<br />
<br />复制代码 代码如下:<br />
<br />public class Animations_Activity extends Activity {<br />
<br />private Button button1;<br />
<br />private Button button2;<br />
<br />private Button button3;<br />
<br />private Button button4;<br />
<br />private Button button5;<br />
<br />private ImageView imageView;<br />
<br />@Override<br />
<br />protected void onCreate(Bundle savedInstanceState) {<br />
<br />super.onCreate(savedInstanceState);<br />
<br />setContentView(R.layout.activity_animations_);<br />
<br />button1=(Button)findViewById(R.id.button_alpha);<br />
<br />button2=(Button)findViewById(R.id.button_rotate);<br />
<br />button3=(Button)findViewById(R.id.button_scale);<br />
<br />button4=(Button)findViewById(R.id.button_translate);<br />
<br />button5=(Button)findViewById(R.id.button_alpha_translate);<br />
<br />imageView=(ImageView)findViewById(R.id.imageview);<br />
<br />button1.setOnClickListener(new MyButton());<br />
<br />button2.setOnClickListener(new MyButton());<br />
<br />button3.setOnClickListener(new MyButton());<br />
<br />button4.setOnClickListener(new MyButton());<br />
<br />button5.setOnClickListener(new MyButton());<br />
<br />}<br />
<br />class MyButton implements OnClickListener{<br />
<br />@Override<br />
<br />public void onClick(View arg0) {<br />
<br />// TODO Auto-generated method stub<br />
<br />switch (arg0.getId()) {<br />
<br />case R.id.button_alpha:<br />
<br />Alpha();<br />
<br />break;<br />
<br />case R.id.button_rotate:<br />
<br />Rotata();<br />
<br />break;<br />
<br />case R.id.button_scale:<br />
<br />Scale();<br />
<br />break;<br />
<br />case R.id.button_translate:<br />
<br />Translate();<br />
<br />break;<br />
<br />case R.id.button_alpha_translate:<br />
<br />Alpha_Translate();<br />
<br />break;<br />
<br />default:<br />
<br />break;<br />
<br />}<br />
<br />}</p>
<p>}</p>
<p>/*<br />
<br />* 1.创建一个AnimationSet对象，该对象存储的是动画的集合<br />
<br />* 2.根据需要创建相应的Animation对象<br />
<br />* 3.根据动画的需求，为Animation对象设置相应的数据（即执行效果）<br />
<br />* 4.奖Animation对象添加到AnimationSet对象当中<br />
<br />* 5.使用控件对象开始执行AnimationSet<br />
<br />*/<br />
<br />public void Alpha() {<br />
<br />AnimationSet animationSet=new AnimationSet(true);<br />
<br />AlphaAnimation alphaAnimation=new AlphaAnimation(1, 0);<br />
<br />alphaAnimation.setDuration(2000);<br />
<br />animationSet.addAnimation(alphaAnimation);<br />
<br />imageView.startAnimation(animationSet);<br />
<br />}<br />
<br />public void Rotata(){<br />
<br />AnimationSet animationSet=new AnimationSet(true);<br />
<br />//后面的四个参数定义的是旋转的圆心位置<br />
<br />RotateAnimation rotateAnimation=new RotateAnimation(<br />
<br />0, 360,<br />
<br />Animation.RELATIVE_TO_PARENT, 1f,<br />
<br />Animation.RELATIVE_TO_PARENT, 0f);<br />
<br />rotateAnimation.setDuration(2000);<br />
<br />animationSet.addAnimation(rotateAnimation);<br />
<br />imageView.startAnimation(animationSet);<br />
<br />}<br />
<br />public void Scale() {<br />
<br />AnimationSet animationSet=new AnimationSet(true);<br />
<br />ScaleAnimation scaleAnimation=new ScaleAnimation(<br />
<br />1, 0.1f, 1, 0.1f,<br />
<br />Animation.RELATIVE_TO_SELF, 0.5f,<br />
<br />Animation.RELATIVE_TO_SELF, 0.5f);<br />
<br />scaleAnimation.setDuration(2000);<br />
<br />animationSet.addAnimation(scaleAnimation);<br />
<br />imageView.startAnimation(scaleAnimation);<br />
<br />}<br />
<br />public void Translate() {<br />
<br />AnimationSet animationSet=new AnimationSet(true);<br />
<br />TranslateAnimation translateAnimation=new TranslateAnimation(<br />
<br />Animation.RELATIVE_TO_SELF, 0f, //X轴的开始位置<br />
<br />Animation.RELATIVE_TO_SELF, 0.5f, //X轴的结束位置<br />
<br />Animation.RELATIVE_TO_SELF, 0f, //Y轴的开始位置<br />
<br />Animation.RELATIVE_TO_SELF, 1.0f); //Y轴的结束位置<br />
<br />translateAnimation.setDuration(2000);<br />
<br />animationSet.addAnimation(translateAnimation);</p>
<p>/*<br />
<br />* 第一行的设置如果为true，则动画执行完之后效果定格在执行完之后的状态<br />
<br />* 第二行的设置如果为false，则动画执行完之后效果定格在执行完之后的状态<br />
<br />* 第三行设置的是一个long类型的值，是指动画延迟多少毫秒之后执行<br />
<br />* 第四行定义的是动画重复几次执行<br />
<br />*/<br />
<br />animationSet.setFillAfter(true);<br />
<br />animationSet.setFillBefore(false);<br />
<br />animationSet.setStartOffset(2000);<br />
<br />animationSet.setRepeatCount(3);</p>
<p>imageView.startAnimation(animationSet);<br />
<br />}<br />
<br />public void Alpha_Translate() {<br />
<br />AnimationSet animationSet=new AnimationSet(true);<br />
<br />AlphaAnimation alphaAnimation=new AlphaAnimation(1, 0);<br />
<br />alphaAnimation.setDuration(2000);<br />
<br />animationSet.addAnimation(alphaAnimation);<br />
<br />TranslateAnimation translateAnimation=new TranslateAnimation(<br />
<br />Animation.RELATIVE_TO_SELF, 0f, //X轴的开始位置<br />
<br />Animation.RELATIVE_TO_SELF, 0.5f, //X轴的结束位置<br />
<br />Animation.RELATIVE_TO_SELF, 0f, //Y轴的开始位置<br />
<br />Animation.RELATIVE_TO_SELF, 1.0f); //Y轴的结束位置<br />
<br />translateAnimation.setDuration(2000);<br />
<br />animationSet.addAnimation(translateAnimation);<br />
<br />imageView.startAnimation(animationSet);<br />
<br />}<br />
<br />@Override<br />
<br />public boolean onCreateOptionsMenu(Menu menu) {<br />
<br />// Inflate the menu; this adds items to the action bar if it is present.<br />
<br />getMenuInflater().inflate(R.menu.activity_animations_, menu);<br />
<br />return true;<br />
<br />}<br />
<br />}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 06:31:33</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/animation/" title="Animation">Animation</a>, <a href="https://www.iamivan.net/tag/%e5%9b%be%e5%83%8f%e6%b8%90%e5%8f%98/" title="图像渐变">图像渐变</a>, <a href="https://www.iamivan.net/tag/%e7%bc%a9%e6%94%be/" title="缩放">缩放</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android开发之图形图像与动画(二)Animation实现图像的渐变/缩放/位移/旋转的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwmQjM.html" rel="bookmark">【Android开发】图形图像处理技术-实现Android动画的两种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在应用Android进行项目开发时,特别是在进行游戏开发时,经常需要涉及动画.Android中的动画通常可以分为逐帧动画(Frame Animation)和补间动画(Tween Animation)两种.下面将分别介绍这两种动画. 一.实现逐帧动画(Frame Animation) 逐帧动画就是顺序播放事先准备好的静态图像,利用人眼的&quot;视觉暂留&quot;原理,给用户造成动画的错觉.实现逐帧动画比较简单,只需要一下两个步骤: (1)在Android XML资源文件中定义一组用于生成动画的图片资源			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9j7Agp.html" rel="bookmark">Android开发中MJRefresh自定义刷新动画效果&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[一]常见用法 最原始的用法,耦合度低,但是不能统一管理.我们需要在每一个控制器都写以下代码,很繁琐,以后项目修改起来更繁琐,得一个控制器一个控制器的去定位.修改. 1.1 使用默认刷新(耦合度底,但是想统一修改起来特别麻烦) self.tableView.mj_header = [MJRefreshNormalHeader headerWithRefreshingBlock:^{ //在这里执行刷新操作 }]; self.tableView.mj_header = [MJRefreshNorm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bojvODz.html" rel="bookmark">Android开发中MJRefresh自定义刷新动画效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[一]常见用法 最原始的用法,耦合度低,但是不能统一管理.我们需要在每一个控制器都写以下代码,很繁琐,以后项目修改起来更繁琐,得一个控制器一个控制器的去定位.修改. 1.1 使用默认刷新(耦合度底,但是想统一修改起来特别麻烦) self.tableView.mj_header = [MJRefreshNormalHeader headerWithRefreshingBlock:^{ //在这里执行刷新操作 }]; self.tableView.mj_header = [MJRefreshNorm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWgOZz.html" rel="bookmark">Android开发之图形图像与动画&lpar;三&rpar;Animation效果的XML实现&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用XML来定义Tween Animation 动画的XML文件在工程中res/anim目录,这个文件必须包含一个根元素,可以使&lt;alpha&gt;&lt;scale&gt; &lt;translate&gt; &lt;rotate&gt;插值元素或者是把上面的元素都放入&lt;set&gt;元素组中,默认情况下,所以的动画指令都是同时发生的,为了让他们按序列发生,需要设置一个特殊的属性startOffset.动画的指令定义了你想要发生什么样的转换,当他们发生了,应该执行多长时间,转换可以是连续的也			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGQvQkM.html" rel="bookmark">Android开发之图形图像与动画&lpar;三&rpar;Animation效果的XML实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用XML来定义Tween Animation 动画的XML文件在工程中res/anim目录,这个文件必须包含一个根元素,可以使&lt;alpha&gt;&lt;scale&gt; &lt;translate&gt; &lt;rotate&gt;插值元素或者是把上面的元素都放入&lt;set&gt;元素组中,默认情况下,所以的动画指令都是同时发生的,为了让他们按序列发生,需要设置一个特殊的属性startOffset.动画的指令定义了你想要发生什么样的转换,当他们发生了,应该执行多长时间,转换可以是连续的也			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmBYDz.html" rel="bookmark">【Android开发】图形图像处理技术-常用绘图类之Paint类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    Paint类代表画笔,用来描述图形的颜色风格,如线宽.颜色.透明度和填充效果等信息.使用Paint类时,首先需要创建该类的对象,这可以通过该类提供的构造方法来实现.通常情况下,只需要使用无参数的构造方法来创建一个使用默认设置的Paint对象,具体代码如下: Paint paint=new Paint(); 创建Paint类的对象之后,还可以通过该对象提供的方法来对画笔的默认设置进行改变,例如,改变画笔的颜色.笔触宽度等.用于改变画笔设置的常用方法如表所示: 1.图像绘制 setARGB(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWWdq7M.html" rel="bookmark">Android开发之图形图像与动画&lpar;五&rpar;LayoutAnimationController详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  首先需要先介绍下LayoutAnimationController:  * 1.LayoutAnimationController用于为一个layout里面的控件,或者是一个ViewGroup * 里面的控件设置动画效果(即整个布局) * 2.每一个控件都有相同的动画效果 * 3.这些控件的动画效果在不同的实现显示出来 * 4.LayoutAnimationController可以在xml文件当中设置,也可以在代码中进行设置 本文就针对两种实现LayoutAnimationControlle			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zealaOz.html" rel="bookmark">Android开发之图形图像与动画&lpar;五&rpar;LayoutAnimationController详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先需要先介绍下LayoutAnimationController: * 1.LayoutAnimationController用于为一个layout里面的控件,或者是一个ViewGroup * 里面的控件设置动画效果(即整个布局) * 2.每一个控件都有相同的动画效果 * 3.这些控件的动画效果在不同的实现显示出来 * 4.LayoutAnimationController可以在xml文件当中设置,也可以在代码中进行设置 本文就针对两种实现LayoutAnimationController的方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M12DX3p.html" rel="bookmark">Android开发之图形图像与动画&lpar;四&rpar;AnimationListener简介&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				就像Button控件有监听器一样,动画效果也有监听器,只需要实现AnimationListener就可以实现对动画效果的监听,其中需要重载三个函数,就是下面的这几个函数: 复制代码 代码如下: private class MyListenr implements AnimationListener{ @Override public void onAnimationEnd(Animation arg0) { // TODO Auto-generated method stub } @Overri			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr076z.html" rel="bookmark" class="title">asp&period;net 独立Discuz头像编辑模块分离打包</a>
					<div>
						主要内容: 版权声明 头像上传和编辑的原理 独立头像上传及编辑模块 一.版权声明 由于此模块核心均来自于Discuz NT,根据相关规定:&quot;禁止在 Discuz! / UCenter 的整体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ4eqM.html" rel="bookmark" class="title">Windows下设置MySQL安全权限</a>
					<div>
						注意:本文的内容涉及到修改NTFS磁盘权限和设置安全策略,请务必在确认您了解操作可能的后果之后再动手进行任何的修改. 注意:本文的内容涉及到修改NTFS磁盘权限和设置安全策略,请务必在确认您了解操作可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqo2kz.html" rel="bookmark" class="title">好的设计促进前端技术&colon;视觉效果实现的方法</a>
					<div>
						文章描述:设计师也需要了解的一些前端知识. 国画中有句话,&quot;画虎先画骨&quot;.对应到网页上,视觉效果只是一张皮,前端代码是支撑这张皮的骨,了解骨架是怎么长的,有助于设计出更合理高效的页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGRdep.html" rel="bookmark" class="title">一些心得：小网站如何赢利</a>
					<div>
						小网站如何赢利 2006年9月,开始了网站建设的道路,10月份开始建立了三人行自己的论坛,一直在考虑赢利的问题,到目前为止网站仍然没有赢利. 我想就一些心得与大家分享: 1 做过百度的联盟,阿里的联盟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PQy8M.html" rel="bookmark" class="title">如何查找光纤网络电路的故障</a>
					<div>
						1.看光纤收发器或光模块的指示灯和双绞线端口指示灯是否已亮? a.如收发器的光口(FX)指示灯不亮,请确定光纤链路是否交叉链接?光纤跳线一头是平行方式连接:另一头是交叉方式连接. b.如A收发器的光口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxRw0b.html" rel="bookmark" class="title">KJFrameForAndroid框架简介</a>
					<div>
						android app一般性架构设计 一.UI层(Activity+Fragment基类设计+部分自定义控件) KJActivity(Activity继承链的规范) I_KJActivity,KJFr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN22Ab.html" rel="bookmark" class="title">通过oms实现Oracle的数据备份</a>
					<div>
						在oracle 9i中可以方便的把数据导出为文件,或者从文件导入.通过oracle的管理服务器(oracle management server,oms)可以方便的实现,整个操作过程中有很多地方需要解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2JvoM.html" rel="bookmark" class="title">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植（3）：Head&period;s</a>
					<div>
						uclinux系统的入口点为head.s,因此先将此文件添加到corea.dlb,先改下语法错误. 1 时钟配置 因为没有使用引导程序,因此在内核启动时需要重新配置CPU的运行速度.在config.h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP9wmM.html" rel="bookmark" class="title">WinXP系统如何删除账户？</a>
					<div>
						  WinXP系统如何删除账户? 第一步:单击&quot;开始→控制面板&quot;并在打开的&quot;控制面板&quot;窗口中双击&quot;用户账户&quot;图标. 第二步:在打开的&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKwgap.html" rel="bookmark" class="title">PPTX是什么格式文件？</a>
					<div>
						  PPTX是什么格式文件? pptx和ppt都是Microsoft Office Powerpoint的基本文件格式.两者区别是ppt是OFFICE 2003的默认格式,而pptx的是OFFICE  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjqXjb.html" rel="bookmark" class="title">Word 2007：修改图片尺寸的三种方式</a>
					<div>
						  对于小编来说,图片大小常常使用PS来进行处理,而在Word 2007文档中,大家也是可以通过多种方式来设置图片的尺寸的,不需要在PS处理完后,在插入图片.下面就介绍几种修改图片尺寸的方法. 1.拖 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNOZGM.html" rel="bookmark" class="title">ThinkPad T431s评测</a>
					<div>
						  联想ThinkPad T系列一直是十分受欢迎的商务笔记本,拥有手感出众的键盘.长久的续航能力以及坚固耐用的机身设计.而在今年,联想推出了最新的联想ThinkPad T431s,不仅仅是硬件配置的提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJeOnp.html" rel="bookmark" class="title">联通3G无线上网卡设置DNS方法教程</a>
					<div>
						  最近经常帮朋友们设置联通3G上网,经常遇到一些问题,下面给各位奉上联通3g上网设置DNS图解,希望对大家有所帮助. 操作步骤如下: 1. 断开网络链接; 2. 打开无线网卡的主界面,选择&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8wJeb.html" rel="bookmark" class="title">windows server 2003 64bit 挂在一个3T的硬盘，只识别到784G</a>
					<div>
						问题描述 windows server 2003 64bit 挂在一个3T的硬盘,只识别到784G 您好, 我在windows server 2003 64bit 系统挂在3T硬盘,bios中只识别8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQmOWz.html" rel="bookmark" class="title">ios-iOS在故事板中画好界面 在APPDelegate里面设置启动这个页面的时候 看不见控件</a>
					<div>
						问题描述 iOS在故事板中画好界面 在APPDelegate里面设置启动这个页面的时候 看不见控件 AppDelegate 代码 (BOOL)application:(UIApplication *) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwy45p.html" rel="bookmark" class="title">socket-关于ServerSocket&period;accept&lpar;&rpar;的疑问</a>
					<div>
						问题描述 关于ServerSocket.accept()的疑问 在死循环中使用Socket s = ss.accept()初始化socket,那么,是客户端第一次发送数据时初始化一个socket,还是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL756ZM.html" rel="bookmark" class="title">场景化学习 git</a>
					<div>
						Linux 之父的第二件作品-- git 自从诞生后就改变了软件生产和协作的面貌,gitlab.github.bitbucket. gitbook.gerrit 等项目的出现都极大地丰富了现代化软件工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBkRQM.html" rel="bookmark" class="title">mfc-vs2003编译的程序运行时总是多出一个无用的窗口，求解</a>
					<div>
						问题描述 vs2003编译的程序运行时总是多出一个无用的窗口,求解 vs2003编译的程序运行时总是多出一个无用的窗口,就是在任务上多出一个没有标题,点击有不出现任何窗口的那么一个东西,不知道是什么, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0GYYM.html" rel="bookmark" class="title">利用Burp&OpenCurlyDoubleQuote;宏&rdquo;解决自动化 web fuzzer的登录问题</a>
					<div>
						本文讲的是利用Burp&quot;宏&quot;解决自动化 web fuzzer的登录问题,本博文的主要内容是关于如何利用Burp Suite宏,帮助我们自动化完成需要手动输入payload的模糊测试 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBKQZb.html" rel="bookmark" class="title">NFC手机支付流程解析</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 NFC手机支付是近期炒的火热的一种移动支付模式,与电子商务O2O模式相关的智能手机大多都支持此类移动支付方式.在NFC近场支付模式下,需要有银行卡.NF ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AOk4z.html" rel="bookmark" class="title">Neurons字幕组 &vert; 2分钟看AI通过2D照片设计出面部3D模型（附论文下载）</a>
					<div>
						来吧,和Neurons一起,玩点不一样的AI! 还记得童年的哆啦A梦系列为我们带来的神奇工具&quot;六面相机&quot;吗?当你拍摄物体的时候,获得的不只是物体在一个角度上二维平面的投影,而是6个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZBZAz.html" rel="bookmark" class="title">2000-2010 国内最具技术影响力产品</a>
					<div>
						自1976年进入现代桌面计算时代以来,软件和互联网相继取代硬件成为现代计算的核心.在此期间,有无数款优秀的软件.互联网产品诞生,改变了人们的计算方式和日常生活.软件和互联网应用纷繁复杂,技术广博精深, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeRl1b.html" rel="bookmark" class="title">显示问题-CSS样式在pc端显示正常，移动端显示异常</a>
					<div>
						问题描述 CSS样式在pc端显示正常,移动端显示异常 移动端显示侧边是白色的PC端显示是正常的 代码如下: HTML CSS: #bannerend .bannerend_top{ 求大神帮忙!!ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe72lb.html" rel="bookmark" class="title">通过seovip第三期培训对于网站运维优化新的三点认识</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 写这篇文章应该是五一前最后一天上班了,首先祝愿各位辛勤的站长朋友五一快乐,对于网站运维工作者我们可能考虑的会多一点,比如休假期间网站的运维如何做,网站内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk3jlM.html" rel="bookmark" class="title">上海三管齐下扶持数字出版业</a>
					<div>
						本报讯 (实习生 许光耀 记者 姜小玲)上海市政府3月25日出台的&lt;关于促进本市数字出版产业发展的若干 意见&gt;,是全国第一个全方位支持数字出版产业发展的省级政府文件.昨天,上海市新闻出版局 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW2E4z.html" rel="bookmark" class="title">jQuery ui 1&period;7更新小结&lowbar;jquery</a>
					<div>
						1. 每个ui插件现在都有自己单独的css文件,但是要根据情况与ui.theme.css ui.core.css结合使用,否则有些效果还是显示不出来的. eg. datepicker就必须同时引用上述 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL0OvM.html" rel="bookmark" class="title">mysql mysqldump数据备份和增量备份&lowbar;Mysql</a>
					<div>
						本篇文章主要讲如何使用shell实现mysql全量,增量备份.增量备份在周一-周六凌晨3点,会复制mysql-bin.00000*到指定目录:而全量备份则使用mysqldump将所有的数据库导出,每周 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO446b.html" rel="bookmark" class="title">mysql数据库索引详解用法</a>
					<div>
						索引 使用索引可快速访问数据库教程表中的特定信息.索引是对数据库表中一列或多列的值进行排序的一种结构,例如 employee 表的姓(lname)列.如果要按姓查找特定职员,与必须搜索表中的所有行相比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkDVaM.html" rel="bookmark" class="title">Wpf，将本地excel表中的某一页中某一列根据唯一标识（id）导入到数据库中对应的列中</a>
					<div>
						问题描述 框架为mvvm,使用aspose.cells操作excel需求如下.数据库输出表T1中的L,M对应本地excel,T2中的M,O列.N,O,P列对应本地excel,T3中的A,H,G列导入条 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdBojp.html" rel="bookmark" class="title">脉动：脉动第57期佣金已结算</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 脉动第57期佣金已结算,审核工作进 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
